using System;
using System.Drawing;
using System.Windows.Forms;

namespace AutoComplete
{
    public partial class ConfigForm : Form
    {
        public ConfigForm()
        {
            InitializeComponent();
        }

        public bool AutoComplete
        {
            get;
            set;
        }

        public bool CollectWords
        {
            get;
            set;
        }

        public bool XmlAutoComplete
        {
            get;
            set;
        }

        private void ConfigForm_Load(object sender, EventArgs e)
        {
            this.checkBox2.Checked = this.CollectWords;
        }

        private void ConfigForm_FormClosed(object sender, FormClosedEventArgs e)
        {
            this.CollectWords = this.checkBox2.Checked;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.DialogResult = System.Windows.Forms.DialogResult.OK;
        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.DialogResult = System.Windows.Forms.DialogResult.Cancel;
        }
    }
}
